Option Compare Binary
Option Explicit On 
Option Strict On

Imports System
Imports System.Windows.Forms

''' <summary>
'''   Hauptformular des Programms.
''' </summary>
Public Class MainForm
    Inherits System.Windows.Forms.Form

#Region " Vom Windows Form Designer generierter Code "
    Public Sub New()
        MyBase.New()
        InitializeComponent()

        ' Weitere Intialisierungsarbeiten.
        Me.cboSelectionModes.Items.AddRange([Enum].GetNames(GetType(SelectionMode)))
        Me.cboSelectionModes.SelectedIndex = 0
        For i As Integer = 1 To 20
            Me.lstSample.Items.Add("Eintrag " & i.ToString())
        Next i
    End Sub

    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    Private components As System.ComponentModel.IContainer

    Friend WithEvents lstSample As ExtendedListBox
    Friend WithEvents cboSelectionModes As System.Windows.Forms.ComboBox
    Friend WithEvents Label1 As System.Windows.Forms.Label
    Friend WithEvents chkReadOnly As System.Windows.Forms.CheckBox

    <System.Diagnostics.DebuggerStepThrough()> _
    Private Sub InitializeComponent()
Me.chkReadOnly = New System.Windows.Forms.CheckBox
Me.lstSample = New ReadOnlyListBox.ExtendedListBox
Me.cboSelectionModes = New System.Windows.Forms.ComboBox
Me.Label1 = New System.Windows.Forms.Label
Me.SuspendLayout()
'
'chkReadOnly
'
Me.chkReadOnly.Anchor = CType((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
Me.chkReadOnly.Location = New System.Drawing.Point(176, 34)
Me.chkReadOnly.Name = "chkReadOnly"
Me.chkReadOnly.Size = New System.Drawing.Size(80, 16)
Me.chkReadOnly.TabIndex = 2
Me.chkReadOnly.Text = "&Read only"
'
'lstSample
'
Me.lstSample.Anchor = CType((((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Bottom) _
            Or System.Windows.Forms.AnchorStyles.Left) _
            Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
Me.lstSample.Location = New System.Drawing.Point(16, 64)
Me.lstSample.Name = "lstSample"
Me.lstSample.ReadOnly = False
Me.lstSample.Size = New System.Drawing.Size(240, 238)
Me.lstSample.TabIndex = 3
'
'cboSelectionModes
'
Me.cboSelectionModes.Anchor = CType(((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Left) _
            Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
Me.cboSelectionModes.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList
Me.cboSelectionModes.Location = New System.Drawing.Point(16, 32)
Me.cboSelectionModes.Name = "cboSelectionModes"
Me.cboSelectionModes.Size = New System.Drawing.Size(144, 21)
Me.cboSelectionModes.TabIndex = 1
'
'Label1
'
Me.Label1.Location = New System.Drawing.Point(16, 16)
Me.Label1.Name = "Label1"
Me.Label1.Size = New System.Drawing.Size(120, 16)
Me.Label1.TabIndex = 0
Me.Label1.Text = "&Selection mode:"
'
'MainForm
'
Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
Me.ClientSize = New System.Drawing.Size(272, 318)
Me.Controls.Add(Me.Label1)
Me.Controls.Add(Me.cboSelectionModes)
Me.Controls.Add(Me.lstSample)
Me.Controls.Add(Me.chkReadOnly)
Me.MinimumSize = New System.Drawing.Size(280, 352)
Me.Name = "MainForm"
Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
Me.Text = "ReadOnlyListBox"
Me.ResumeLayout(False)

    End Sub
#End Region

    Private Sub chkLocked_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkReadOnly.CheckedChanged
        Me.lstSample.ReadOnly = Me.chkReadOnly.Checked
    End Sub

    Private Sub cboSelectionModes_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboSelectionModes.SelectedIndexChanged
        Me.lstSample.SelectionMode = DirectCast(([Enum].GetValues(GetType(SelectionMode))), SelectionMode())(Me.cboSelectionModes.SelectedIndex)
    End Sub
End Class